<template>
  <FontAwesomeIcon ref="button" icon="bars" class="menu-button" @click.prevent="open" />
</template>

<script>
export default {
  props: {
    menu: {
      type: String,
      required: true,
    },
  },

  data () {
    return {
      menuEl: null,
    };
  },

  mounted () {
    this.menuEl = document.querySelector(this.menu);
  },

  methods: {
    open () {
      this.menuEl.classList.toggle('active');
    },
  },
};
</script>

<style lang="scss" scoped>
.menu-button {
  cursor: pointer;
}
</style>
